const axios = require('axios');
export default {
    getLogDetail(id, callback) {
        axios.get('/api/crawljob/detail/' + id)
            .then(response => {
                callback(response);
            }).catch(error => {
            console.error(error);
        })
    },
    queryLogPageable(index, size, queryParam, callback) {
        axios.post('/api/crawljob/queryPageable/' + index + "/" + size, queryParam)
            .then(response => {
                callback(response);
            }).catch(error => {
            console.error(error);
        })
    },
    getScrapydLogURL(param, callback) {
        axios.post('/api/crawljob/getScrapydLogURL', param)
            .then(response => {
                callback(response)
            })
    }
}